import { OnChanges, OnInit, AfterViewInit, EventEmitter, ElementRef, SimpleChange, ViewContainerRef, QueryList } from "@angular/core";
import { INSMessageBoxAlertSetting, INSMessageBoxCallbackFunction, INSMessageBoxConfirmSetting, INSMessageBoxCustomSetting, INSMessageBoxSetting } from "./interfaces";
import { NSBaseComponent } from "../ns-base";
import { NSDynamicComponentService } from "../../services";
import * as i0 from "@angular/core";
declare var NSMessageBox: any;
export interface INSMessageBoxAngularSetting extends INSMessageBoxSetting {
    setting?: INSMessageBoxSetting;
    [propName: string]: any;
}
export declare class NSMessageBoxAngular extends NSBaseComponent<typeof NSMessageBox> implements OnChanges, OnInit, AfterViewInit {
    private dynamicComponentService;
    dynamicContainer: ViewContainerRef;
    contentChildren: QueryList<ElementRef>;
    setting: INSMessageBoxAngularSetting | undefined | null;
    dragStaring: EventEmitter<any>;
    dragging: EventEmitter<any>;
    dragEnd: EventEmitter<any>;
    resizeStaring: EventEmitter<any>;
    resizing: EventEmitter<any>;
    resizeEnd: EventEmitter<any>;
    collapseStarting: EventEmitter<any>;
    collapseEnd: EventEmitter<any>;
    expansionStarting: EventEmitter<any>;
    expansionEnd: EventEmitter<any>;
    minimizeStarting: EventEmitter<any>;
    minimizeEnd: EventEmitter<any>;
    maximizeStarting: EventEmitter<any>;
    maximizeEnd: EventEmitter<any>;
    fullScreenStarting: EventEmitter<any>;
    fullScreenEnd: EventEmitter<any>;
    restoreStarting: EventEmitter<any>;
    restoreEnd: EventEmitter<any>;
    closed: EventEmitter<any>;
    rendererComponentCreated: EventEmitter<any>;
    private __objNSPanel?;
    private __objBodyContent;
    private __objCustomComponent;
    private __bodyComponentInstance;
    constructor(dynamicComponentService: NSDynamicComponentService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnChanges(changes: {
        [propName: string]: SimpleChange;
    }): void;
    ngAfterViewInit(): void;
    minimize(): void;
    maximize(): void;
    collapse(): void;
    expand(): void;
    fullScreen(): void;
    restore(): void;
    disableResize(): void;
    disableDrag(): void;
    disableCollapse(): void;
    disableMinMax(): void;
    disableFullScreen(): void;
    isCollapsed(): boolean;
    isMinimized(): boolean;
    isFullScreen(): boolean;
    alert(message: string | INSMessageBoxAlertSetting, title?: string, callback?: INSMessageBoxCallbackFunction): void;
    confirm(message: string | INSMessageBoxConfirmSetting, title?: string, confirmCallback?: INSMessageBoxCallbackFunction, cancelCallback?: INSMessageBoxCallbackFunction): void;
    custom(setting: INSMessageBoxCustomSetting): void;
    close(): void;
    removeModal(): void;
    changeButtonStyle(btnIdentifier: any, objStyle: any): void;
    getPanel(): any;
    private __createComponent;
    private __customBodyComponent;
    private __creationHandler;
    private __getComponent;
    private __emitRendererComponentCreated;
    static ɵfac: i0.ɵɵFactoryDeclaration<NSMessageBoxAngular, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NSMessageBoxAngular, "ns-message-box-angular", never, { "setting": { "alias": "setting"; "required": false; }; }, { "dragStaring": "dragStaring"; "dragging": "dragging"; "dragEnd": "dragEnd"; "resizeStaring": "resizeStaring"; "resizing": "resizing"; "resizeEnd": "resizeEnd"; "collapseStarting": "collapseStarting"; "collapseEnd": "collapseEnd"; "expansionStarting": "expansionStarting"; "expansionEnd": "expansionEnd"; "minimizeStarting": "minimizeStarting"; "minimizeEnd": "minimizeEnd"; "maximizeStarting": "maximizeStarting"; "maximizeEnd": "maximizeEnd"; "fullScreenStarting": "fullScreenStarting"; "fullScreenEnd": "fullScreenEnd"; "restoreStarting": "restoreStarting"; "restoreEnd": "restoreEnd"; "closed": "closed"; "rendererComponentCreated": "rendererComponentCreated"; }, ["contentChildren"], ["*"], false, never>;
}
export {};
